## xmodem 0.4.6+dfsg

=== Makefile ===
tests:
	tox

upload:
	python setup.py sdist upload
	python setup.py bdist_egg upload
	python setup.py build_sphinx upload_sphinx

=== debian/changelog ===
xmodem (0.4.6+dfsg-4) unstable; urgency=medium

  * Set bage's debian.org email
  * Fix missing-build-dependency-for-dh-addon

 -- Bastian Germann <bage@debian.org>  Sat, 04 Dec 2021 12:01:28 +0100

xmodem (0.4.6+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 13:41:10 +0100

xmodem (0.4.6+dfsg-2) unstable; urgency=medium

  * lintian: patch-not-forwarded-upstream
  * Enable unit tests

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 30 Oct 2020 22:30:59 +0100

xmodem (0.4.6+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #971959)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 10 Oct 2020 16:35:40 +0200

=== debian/control ===
Source: xmodem
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
 python3-all:any, python3-pytest, lrzsz
Standards-Version: 4.5.0
Homepage: https://github.com/tehmaze/xmodem
Vcs-Browser: https://salsa.debian.org/python-team/packages/xmodem
Vcs-Git: https://salsa.debian.org/python-team/packages/xmodem.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-xmodem
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: xmodem file transfer protocol library (Python 3)
 This is a Python implementation of XMODEM, XMODEM1K and XMODMCRC.
 These are old serial file transfer protocols which are still in
 rare use for embedded systems.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xmodem-$1.tar.gz%,dversionmangle=s/\+(dfsg)(\.?\d+)?$//,repacksuffix=+dfsg" \
   https://github.com/tehmaze/xmodem/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz

## xmodem 0.4.7+dfsg

=== debian/changelog ===
xmodem (0.4.7+dfsg-2) unstable; urgency=medium

  * Adopt package (Closes: #1055357)
  * Bump Standards-Version
  * Update copyright year and author for debian/* files

 -- Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>  Wed, 03 Sep 2025 22:59:14 +0000

xmodem (0.4.7+dfsg-1) unstable; urgency=medium

  * New upstream version 0.4.7+dfsg
  * Update standards version to 4.6.1, no changes needed.

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 13:52:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bage@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
- python3-all:any, python3-pytest, lrzsz
-Standards-Version: 4.5.0
+Uploaders: Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ python3-setuptools,
+ python3-all:any,
+ python3-pytest,
+ lrzsz
+Standards-Version: 4.7.2
 Homepage: https://github.com/tehmaze/xmodem
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xmodem
 Vcs-Git: https://salsa.debian.org/python-team/packages/xmodem.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xmodem

%:
	dh $@ --with python3 --buildsystem=pybuild
